INTERFACE
SUBROUTINE PPSYDH (KDOM,KTRDDH,KTX,PDHSFD,&
 & PDDHCV,PDDHCV_TOT,KDIMDOM,PDDHCS,PDDHCS_TOT,KTID,KMASK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMMDDH , ONLY : NDHCS ,NDHCV ,NDHCVSU ,&
 & NDHCSSU ,NDHVV ,NDHVS ,NDHVFS 
INTEGER(KIND=JPIM),INTENT(IN) :: KTID, KDIMDOM, KMASK
INTEGER(KIND=JPIM),INTENT(IN) :: KTX, KDOM
INTEGER(KIND=JPIM),INTENT(IN) :: KTRDDH(KTX)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHSFD
REAL(KIND=JPRB) ,INTENT(OUT) :: PDDHCV((NFLEVG+1)*(NDHCVSU+NDHVV))
REAL(KIND=JPRB) ,INTENT(OUT) :: PDDHCS(NDHCSSU+NDHVS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDDHCV_TOT((NFLEVG+1)*KDIMDOM*(NDHCVSU+NDHVV))
REAL(KIND=JPRB) ,INTENT(OUT) :: PDDHCS_TOT(KDIMDOM*(NDHCSSU+NDHVS))
END SUBROUTINE PPSYDH
END INTERFACE
